%macro grabpath;
%qsubstr(%sysget(SAS_EXECFILEPATH),1,%length(%sysget(SAS_EXECFILEPATH))-%length(%sysget(SAS_EXECFILEname)))
%mend grabpath;
%let path = %grabpath;
%let nomeFile =16852.IST229.A.2006.6.ESEMPIO_META.txt;
LIBNAME ISTAT "&path";
DATA ISTAT.DS229_16852_A2006;

INFILE "&path&nomeFile" DLM='09'x LRECL=6000  TRUNCOVER FIRSTOBS=2  ;
INPUT 
Progressivo : 4.   /* Codice identificativo del lavoratore */
sesso : 1.   /*  Sesso del lavoratore */
classe_et_ : 1.   /* Classe di et - quinquiennale */
Anno : 4.   /*  Anno solare di riferimento dell'attivit di lavoro */
posizione_nella_professione : 1.   /* Posizione nella professione - attivit di lavoro prevalente nell'anno */
regime_orario : 1.   /* Regime orario  - attivit di lavoro prevalente nell'anno */
tipo_di_contratto : 1.   /* Tipologia di contratto - attivit di lavoro prevalente nell'anno */
regione_di_lavoro : 2.   /* Regione di lavoro  - attivit di lavoro prevalente nell'anno */
ripartizione_di_lavoro : 1.   /* Ripartizione di lavoro  - attivit di lavoro prevalente nell'anno */
codice_impresa : 8.   /* Codice impresa */
Ateco_2002_sezione : 1.   /* Attivit economica dell'impresa (2002) */
classe_addetti : 1.   /* Classe di addetti dell'impresa */
forma_giuridica : 1.   /* Classificazione della forma giuridica dell'impresa  */
livello_di_sgravio : 1.   /* Sgravio % per l'impresa */
;
LABEL 
Progressivo = "Codice identificativo del lavoratore"
sesso = "Sesso del lavoratore"
classe_et_ = "Classe di et - quinquiennale"
Anno = "Anno solare di riferimento dell'attivit di lavoro"
posizione_nella_professione = "Posizione nella professione - attivit di lavoro prevalente nell'anno"
regime_orario = "Regime orario  - attivit di lavoro prevalente nell'anno"
tipo_di_contratto = "Tipologia di contratto - attivit di lavoro prevalente nell'anno"
regione_di_lavoro = "Regione di lavoro  - attivit di lavoro prevalente nell'anno"
ripartizione_di_lavoro = "Ripartizione di lavoro  - attivit di lavoro prevalente nell'anno"
codice_impresa = "Codice impresa"
Ateco_2002_sezione = "Attivit economica dell'impresa (2002)"
classe_addetti = "Classe di addetti dell'impresa"
forma_giuridica = "Classificazione della forma giuridica dell'impresa "
livello_di_sgravio = "Sgravio % per l'impresa"
;
RUN;
PROC FORMAT;
VALUE ses1F /* sesso */
1  = "Femmina"
2  = "Maschio"
;
VALUE cla2F /* classe_et_ */
1  = "15-24"
2  = "25-34"
3  = "35-44"
4  = "45-54"
5  = "55 oltre"
;
VALUE pos4F /* posizione_nella_professione */
1  = "Operaio"
2  = "Impiegato"
3  = "Quadro"
4  = "Apprendista"
5  = "Dirigente"
6  = "Altro"
;
VALUE reg5F /* regime_orario */
1  = "Full time"
2  = "Part time"
;
VALUE tip6F /* tipo_di_contratto */
1  = "Tempo determinato"
2  = "Tempo indeterminato"
;
VALUE reg7F /* regione_di_lavoro */
1  = "Piemonte"
10  = "Umbria"
11  = "Marche"
12  = "Lazio"
13  = "Abbruzzo"
14  = "Molise"
15  = "Campania"
16  = "Puglia"
17  = "Basilicata"
18  = "Calabria"
19  = "Sicilia"
2  = "alle D.Aosta"
20  = "Sardegna"
3  = "Lombardia"
4  = "Trentino Alto Adige"
5  = "Veneto"
6  = "Friuli Venezia-Giulia"
7  = "Liguria"
8  = "Emilia Romagna"
9  = "Toscana"
;
VALUE rip8F /* ripartizione_di_lavoro */
1  = "Nord ovest"
2  = "Nord est"
3  = "Centro"
4  = "Sud"
5  = "Isole"
;
VALUE Ate10F /* Ateco_2002_sezione */
0  = "Agricoltura, caccia e pesca"
1  = "Attivit manifatturiere ed estrattive e produzione e distribuzione di energia elettrica, acqua e gas"
2  = "Attivit manifatturiere ed estrattive e produzione e distribuzione di energia elettrica, acqua e gas"
3  = "Commercio ed alberghi"
4  = "Trasporti magazzinaggio e comunicazioni"
5  = "Attivit finanziarie"
6  = "Attivit immobiliari, noleggio, informatica, ricerca, servizi alle imprese"
7  = "Amministrazione pubblica"
8  = "Istruzione; Sanit e altri servizi sociali; Altri servizi pubblici, sociali e personali"
;
VALUE cla11F /* classe_addetti */
1  = "fino a 9"
2  = "da 10 a 19"
3  = "da 20 a 49"
4  = "da 50 a 249"
5  = "250 e pi"
;
VALUE for12F /* forma_giuridica */
1  = "Imprenditore individuale, libero professionista e lavoratore autonomo"
2  = "Societa di persone"
3  = "Societa Cooperativa"
4  = "Altre forme disciplinate dal diritto privato"
5  = "Forme disciplinate dal diritto pubblico"
6  = "Societ di capitali"
;
VALUE liv13F /* livello_di_sgravio */
1  = "100%"
2  = "50%"
3  = "40%"
4  = "25%"
;
format sesso ses1F.;
format classe_et_ cla2F.;
format posizione_nella_professione pos4F.;
format regime_orario reg5F.;
format tipo_di_contratto tip6F.;
format regione_di_lavoro reg7F.;
format ripartizione_di_lavoro rip8F.;
format Ateco_2002_sezione Ate10F.;
format classe_addetti cla11F.;
format forma_giuridica for12F.;
format livello_di_sgravio liv13F.;
RUN;
